<!--<div class="row">
  <div class="col-md-2 col-sm-6">
    <div class="card count-card shadow mb-4">
      <h4 class="text-info text-center">228</h4>
      <p class="text-center">Total Orders</p>
    </div>
  </div>
  <div class="col-md-2 col-sm-6">
    <div class="card count-card shadow mb-4">
      <h4 class="text-success text-center">228</h4>
      <p class="text-center">Completed Order</p>
    </div>
  </div>
  <div class="col-md-2 col-sm-6">
    <div class="card count-card shadow mb-4">
      <h4 class="text-warning text-center">228</h4>
      <p class="text-center">Pending Orders</p>
    </div>
  </div>
  <div class="col-md-2 col-sm-6">
    <div class="card count-card shadow mb-4">
      <h4 class="text-info text-center">228</h4>
      <p class="text-center">Total ERP</p>
    </div>
  </div>
  <div class="col-md-2 col-sm-6">
    <div class="card count-card shadow mb-4">
      <h4 class="text-success text-center">228</h4>
      <p class="text-center">Completed ERP</p>
    </div>
  </div>
  <div class="col-md-2 col-sm-6">
    <div class="card count-card shadow mb-4">
      <h4 class="text-warning text-center">228</h4>
      <p class="text-center">Pending ERP</p>
    </div>
  </div>
</div>-->
<div class="row">
  <div class="col-xl-12 col-lg-12">
    <div class="card shadow mb-4">
      <!-- Card Header - Dropdown -->
      <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Production Reports</h6>
      </div>
      <!-- Card Body -->
      <div class="card-body">
        <form class="user filterForm" [formGroup]="filterForm">
          
          <div class="form-group row">
            <div class="col-sm-12 col-md-6 mb-3" *ngIf="units">
              <label>Select Unit:</label>
              <select formControlName="unit" class="form-control dropdown" >
                <option value="" selected>Select Unit</option>
                <option *ngFor="let u of units" value="{{u.unit_id}}">{{u.unit_name}}</option>
              </select>
              <div *ngIf="submitted && formControls.unit.errors" class="errors">
                  <div *ngIf="formControls.unit.errors.required">Unit is required</div>
              </div>
            </div>
         
            <div class="col-sm-12 col-md-6 mb-3">
              <label>Select Report Type:</label>
              <select formControlName="report_type" class="form-control dropdown">
                <option value="" selected>Select Type</option>
                <option value="trim_inward_report">Trim Inward</option>
                <option value="trim_outward_report" >Trim Outward</option>
                <option value="fabric_inward_report" >Fabric Inward</option>
                <option value="fabric_outward_report" >Fabric Outward</option>
                <option value="fabric_inspection_report">Fabric Inspection</option>
                <option value="cutting_production_report">Cutting Production</option>
                <option value="sewing_production_report">Sewing Report</option>
                <option value="finishing_production_report" >Finishing Report</option>
                <option value="kajabutton_production_report">Finishing Report</option>
                <option value="fusing_production_report">Fusing Report</option>
                <option value="dispatch_report">Dispatch Report</option>
              </select>
              <div *ngIf="submitted && formControls.report_type.errors" class="errors">
                <div *ngIf="formControls.report_type.errors.required">Report Type is required</div>
              </div>
            </div>
        
            <div class="col-sm-12 col-md-6 mb-3">
              <label>From Date:</label>
              <input formControlName="from_date" type="date" 
                class="form-control form-control-user">
            </div>
         
            <div class="col-sm-12 col-md-6 mb-3">
              <label>To Date:</label>
              <input formControlName="to_date" type="date"
                class="form-control form-control-user">
            </div>
            <div class="col-sm-12 mb-3">
              <input type="submit" value="Generate Report" (click)="getReportsData()"class="pull-right mr-2  mt-4 d-none d-sm-inline-block btn btn-sm btn-primary shadow-s">
              <input type="submit" value="Reset Form" (click)="resetFilters()" class="pull-right mr-2  mt-4 d-none d-sm-inline-block btn btn-sm btn-warning shadow-s">
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>